<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVersions Method (IEdmBom)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBom Interface : GetVersions Method (IEdmBom)

Visual Basic
C#
C++/CLI

ppoVersions
  Array of EdmBomVersion structures; one structure for each BOM version; the structure of the oldest version is at the beginning of the array

Gets the versions of this BOM.

# Syntax

Visual Basic |
--- | ---

    Sub GetVersions( _
       ByRef ppoVersions() As EdmBomVersion _
    )

C# |
--- | ---

    void GetVersions(
       out EdmBomVersion[] ppoVersions
    )

C++/CLI |
--- | ---

    void GetVersions(
    &   [Out] array<EdmBomVersion>^ ppoVersions
    )

#### Parameters

ppoVersions
  Array of EdmBomVersion structures; one structure for each BOM version; the structure of the oldest version is at the beginning of the array

# Example

See the IEdmBom examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBom Interface
IEdmBom Members

# Availability

SOLIDWORKS PDM Professional 2009